//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.coreImpl.xpdl;

import java.util.Date;

import org.huihoo.workflow.xpdl.WorkflowPackageHeader;
import org.huihoo.workflow.xpdl.util.DateTools;

public class WorkflowPackageHeaderImpl extends WorkflowPackageHeader
{
	protected String xpdlVersion;
	protected String vendor;
	protected Date creationTime;
	protected String description;

	public String getXPDLVersion()
	{
		return (this.xpdlVersion);
	}

	public void setXPDLVersion(String xpdlVersion_)
	{
		this.xpdlVersion = xpdlVersion_;
	}

	public String getVendor()
	{
		return (this.vendor);
	}

	public void setVendor(String vendor_)
	{
		this.vendor = vendor_;
	}

	public Date getCreationTime()
	{
		return (this.creationTime);
	}

	public void setCreationTime(Date creationTime_)
	{
		this.creationTime = creationTime_;
	}

	public void setCreationTime(String creationTime_)
	{
		this.creationTime = DateTools.toSqlDate(creationTime_);
	}

	public String getDescription()
	{
		return (this.description);
	}

	public void setDescription(String description_)
	{
		this.description = description_;
	}

	public String getTagName()
	{
		return "PackageHeader";
	}
}
